/*!
 * @file blink.h
 */

#ifndef _BLINK_H
#define _BLINK_H

#include "world_entity.h"

class Material;
class TiXmlElement;

class Blink : public WorldEntity
{
  ObjectListDeclaration(Blink);
  public:
    Blink(const TiXmlElement* root = NULL);
    virtual ~Blink();

    void init();
    void loadParams(const TiXmlElement* root);

    void setPosition(float x, float y, float z) { this->position = Vector(x, y, z); }
    void setSize(float s) { this->size = s; }
    //void setTexture(const std::string& textureFile);

    virtual void tick(float dt);
    virtual void draw() const;

  private:
    Material*         material;
    Vector            position;
    float             size;             //! only one float caus' its quadratical
};

#endif /* _BLINK_H */
